Subject: [PATCH v4 2/8] clk: Add a Raspberry Pi-specific clock driver.

From: [email-masked] (Michael Turquette)
Date: Tue, 11 Aug 2015 14:17:33 -0700

Hi Eric,

Quoting Eric Anholt (2015-07-20 12:33:01)
> +void __init rpi_firmware_init_clock_provider(struct device_node *node)
> +{
> +       /* We delay construction of our struct clks until get time,
> +        * because we need to be able to return -EPROBE_DEFER if the
> +        * firmware driver isn't up yet.  clk core doesn't support
> +        * re-probing on -EPROBE_DEFER, but callers of clk_get can.
> +        */
> +       of_clk_add_provider(node, rpi_firmware_delayed_get_clk, node);
> +}
> +
> +CLK_OF_DECLARE(rpi_firmware_clocks, "raspberrypi,bcm2835-firmware-clocks",
> +              rpi_firmware_init_clock_provider);

Do you require CLK_OF_DECLARE here? Could this be a platform driver
instead?

Regards,
Mike

> -- 
> 2.1.4